

from qiskit import QuantumCircuit, Aer, execute
from qiskit import *

IBMQ.save_account(
        'IBM-Q TOKEN',overwrite=True)

IBMQ.load_account()
provider = IBMQ.get_provider(hub='ibm-q-research', group='RESEARCH_GROUP', project='main')
backend = provider.get_backend('ibmq_ourense')


qasm_str = """OPENQASM 2.0;
include "qelib1.inc";
qreg q[1];
creg c[1];
ry(pi*1.7218776365) q[0];
rz(pi*-0.2826863136) q[0];
ry(pi/2) q[0];
measure q -> c;
"""

qc = QuantumCircuit.from_qasm_str(qasm_str)
p0_overall = 0
p1_overall = 0
for i in range(20):
    job = execute(qc, backend,shots=40)
    result = job.result()
    print(result.get_counts())
    prop = result.get_counts()
    p0 = (prop['0']/sum(prop.values()))
    p1 = (prop['1']/sum(prop.values()))
    print(p0)
    print(p1)
    p0_overall+=p0
    p1_overall+=p1
print(p0_overall/20)
print(p1_overall/20)